On 2015/06/20 12:13, 俊(とし) wrote:
> Rubyをソース(stable-snapshot, 2.2.3p136, rev50924)からビルドしたのち,"make -k
> check"でテストしてみると,以下のようなエラーメッセージが出てきました.
(snip)
> 同様のエラーが他2箇所報告されます.これはどのようなエラーで,これを解消するにはどのようにすればよいのでしょうか?
> LocalhostのSSLのキーが短すぎると言っているようなのですが.

最近リリースされたOpenSSL 1.0.2cで、Diffie-Hellman Keyに768 bit以上が求められるようになったためです。
https://www.openssl.org/blog/blog/2015/05/20/logjam-freak-upcoming-changes/

trunkではr50972で暫定的に対処しましたが、rubygemsのupstreamでも報告されています。
https://github.com/rubygems/rubygems/issues/1289

-- 
--- 僕の前にBugはない。
--- 僕の後ろにBugはできる。
    中田 伸悦